Passa al contenuto principale

GET /contacts/bsuid/:bsuid

Recupera un contatto specifico dato un bsuid (Business Suite User ID). È utile per cercare contatti che potrebbero non avere un numero di telefono associato (ad es. utenti WhatsApp con privacy sul nome utente).

Parametri richiesti​

ParametroTipoDescrizione
bsuidstringL'ID utente di Business Suite del contatto

Esempio di richiesta​

curl -X GET "https://api.callbell.eu/v1/contacts/bsuid/bsuid_abc123" \
-H "Authorization: Bearer test_gshuPaZoeEG6ovbc8M79w0QyM" \
-H "Content-Type: application/json"

Risposta​

ParametroTipoDescrizione
contactContattoL'oggetto che rappresenta il contatto.

Esempio di risposta​

response.json
{
"contact": {
"uuid": "414a6d692bd645ed803f2e7ce360d4c8",
"name": "John Doe",
"phoneNumber": "+123 456 789",
"avatarUrl": null,
"createdAt": "2020-11-13T21:08:53Z",
"source": "whatsapp",
"href": "https://dash.callbell.eu/contacts/414a6d692bd645ed803f2e7ce360d4c8",
"conversationHref": "https://dash.callbell.eu/chat/f3670b13446b412796238b1cd78899f9",
"tags": ["sales", "lead"],
"assignedUser": null,
"customFields": {
"Address": "Oxford Street 123"
},
"bsuid": "bsuid_abc123"
}
}